/*   VLC-REMOTE for MAEMO 5
 *   Copyright (C) 2010 Schutz Sacha <istdasklar@gmail.com>
 *   This program is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License version 2,
 *   or (at your option) any later version, as published by the Free
 *   Software Foundation
 *
 *   This program is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details
 *
 *   You should have received a copy of the GNU General Public
 *   License along with this program; if not, write to the
 *   Free Software Foundation, Inc.,
 *   51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 */
#include <QtGui/QApplication>
#include <QSettings>
#include <QLocale>
#include <QTextCodec>
#include <QTranslator>
#include <QDebug>
#include "playermainwindow.h"
#include "accountdialog.h"
int main(int argc, char *argv[])
{
    QApplication a(argc, argv);

    QCoreApplication::setOrganizationName("Omed");
    QCoreApplication::setOrganizationDomain("medsoft.blogspot.com/");
    QCoreApplication::setApplicationName("Maemo VLC remote");

    QString locale = QLocale::system().name();
    QTranslator translator;
    translator.load(QString(":/languages/vlcremote_") + locale);
    a.installTranslator(&translator);

    QTextCodec::setCodecForTr(QTextCodec::codecForName("utf8"));


    qDebug() << AccountDialog::currentIp();


  PlayerMainWindow * mainwindow = new PlayerMainWindow;
//
   mainwindow->showMaximized();

    return a.exec();
}
